<section class="login-section-container">
    <section class="login-form-section">
      <h4 class=''>Please Login : </h4>  
        <h4 class='error-message'>{{errorMessage}}</h4>
      <form action="" class="login-form" [formGroup]="loginForm" (ngSubmit)="doCustomerLogin(loginForm)">
       
      <mat-form-field>
          <mat-icon matPrefix>email</mat-icon>
        <input type="email" matInput placeholder="Enter E-mail" formControlName="email" >
        <mat-error *ngIf="loginForm.get('email')?.touched && loginForm.get('email')?.hasError('required')">E-mail is Required</mat-error>
        <mat-error *ngIf="loginForm.get('email')?.touched && loginForm.get('email')?.hasError('email')">Invalid E-mail</mat-error>
      </mat-form-field>
  
      <mat-form-field>
          <mat-icon matPrefix>lock</mat-icon>
          <input type="password" matInput placeholder="Enter Password" formControlName="password">
          <mat-error *ngIf="loginForm.get('password')?.touched && loginForm.get('password')?.hasError('required')">Password is Required</mat-error>
          <mat-error *ngIf="loginForm.get('password')?.touched && loginForm.get('password')?.hasError('minlength')">Password must be min 5 characters</mat-error>
      </mat-form-field>
      <span  class="d-block pull-right cursor-pointer">Forgot Password?</span>
      <button mat-raised-button color="warn" [disabled]="loginForm.invalid" class="cursor-pointer">
            <!-- <mat-progress-bar *ngIf="loading"
            class="example-margin"
            color="warn"
            mode="indeterminate"
            value="50"
            bufferValue="75">
          </mat-progress-bar> -->
          {{loginButtonText}}
        </button>
      
    </form>
  </section>
